{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/placeorder","title":"Place an order","description":"POST /v3-node-0/order/place: Sends a signed message/intent with optional additional order requests to the V3 bundler for processing","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/placeorder","markdown":"https://docs.storm.tg/developers/operations/placeorder.md","json":"https://docs.storm.tg/developers/operations/placeorder.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/placeorder"},"operation":{"id":"PlaceOrder","method":"POST","path":"/v3-node-0/order/place","summary":"Place an order","description":"Sends a signed message/intent with optional additional order requests to the V3 bundler for processing","tags":["Trading"],"deprecated":false,"parameters":[],"bodies":[{"mediaType":"application/json","required":true,"description":"Message request with signature","properties":[{"name":"builder","type":"string","required":false,"description":"third-party UI address (optional)","example":"string","schema":{"type":"string","types":["string"],"description":"third-party UI address (optional)","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"message","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"order_requests","type":"object[]","required":false,"example":"[\n  {\n    \"message\": \"string\",\n    \"public_key\": \"string\",\n    \"signature\": \"string\"\n  }\n]","schema":{"type":"object[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.MessageOrderRequest","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"message","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"public_key","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signature","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"variants":[]}},{"name":"payment_mode","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"public_key","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"sa","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signature","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.MessageSendJSONReq","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"builder","type":"string","required":false,"description":"third-party UI address (optional)","example":"string","schema":{"type":"string","types":["string"],"description":"third-party UI address (optional)","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"message","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"order_requests","type":"object[]","required":false,"example":"[\n  {\n    \"message\": \"string\",\n    \"public_key\": \"string\",\n    \"signature\": \"string\"\n  }\n]","schema":{"type":"object[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.MessageOrderRequest","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"message","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"public_key","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signature","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"variants":[]}},{"name":"payment_mode","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"public_key","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"sa","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signature","type":"string","required":false,"description":"base64 str","example":"string","schema":{"type":"string","types":["string"],"description":"base64 str","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{}"}],"responses":[{"status":"200","description":"OK","mediaType":"application/json","properties":[{"name":"accepted","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"intent","type":"object","required":false,"example":"{\n  \"action_phase\": \"string\",\n  \"builder\": {},\n  \"created_price\": {\n    \"created_at\": {\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"feed\": \"string\",\n      \"inPause\": true,\n      \"isOnline\": true,\n      \"k\": 0,\n      \"marketDepthLong\": 0,\n      \"marketDepthShort\": 0,\n      \"pauseAt\": 0,\n      \"pausedAt\": 0,\n      \"price\": 0,\n      \"result_message\": {\n        \"price_ref\": \"string\",\n        \"signatures_ref\": \"string\"\n      },\n      \"slot\": 0,\n      \"spread\": 0,\n      \"status\": \"string\",\n      \"timestamp\": 0,\n      \"unpauseAt\": 0\n    },\n    \"index\": {\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"feed\": \"string\",\n      \"inPause\": true,\n      \"isOnline\": true,\n      \"k\": 0,\n      \"marketDepthLong\": 0,\n      \"marketDepthShort\": 0,\n      \"pauseAt\": 0,\n      \"pausedAt\": 0,\n      \"price\": 0,\n      \"result_message\": {\n        \"price_ref\": \"string\",\n        \"signatures_ref\": \"string\"\n      },\n      \"slot\": 0,\n      \"spread\": 0,\n      \"status\": \"string\",\n      \"timestamp\": 0,\n      \"unpauseAt\": 0\n    },\n    \"rfc\": {\n      \"effective_depth\": 0,\n      \"original_k\": 0,\n      \"original_market_depth_long\": 0,\n      \"original_market_depth_short\": 0,\n      \"original_spread\": 0,\n      \"recovery_rate\": 0,\n      \"signed_price\": {\n        \"closestPauseAt\": 0,\n        \"closestUnpauseAt\": 0,\n        \"feed\": \"string\",\n        \"inPause\": true,\n        \"isOnline\": true,\n        \"k\": 0,\n        \"marketDepthLong\": 0,\n        \"marketDepthShort\": 0,\n        \"pauseAt\": 0,\n        \"pausedAt\": 0,\n        \"price\": 0,\n        \"result_message\": {\n          \"price_ref\": \"string\",\n          \"signatures_ref\": \"string\"\n        },\n        \"slot\": 0,\n        \"spread\": 0,\n        \"status\": \"string\",\n        \"timestamp\": 0,\n        \"unpauseAt\": 0\n      },\n      \"velocity_debt\": 0\n    },\n    \"settlement\": {\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"feed\": \"string\",\n      \"inPause\": true,\n      \"isOnline\": true,\n      \"k\": 0,\n      \"marketDepthLong\": 0,\n      \"marketDepthShort\": 0,\n      \"pauseAt\": 0,\n      \"pausedAt\": 0,\n      \"price\": 0,\n      \"result_message\": {\n        \"price_ref\": \"string\",\n        \"signatures_ref\": \"string\"\n      },\n      \"slot\": 0,\n      \"spread\": 0,\n      \"status\": \"string\",\n      \"timestamp\": 0,\n      \"unpauseAt\": 0\n    },\n    \"timestamp\": \"string\"\n  },\n  \"date\": \"string\",\n  \"full_message\": {\n    \"message\": {\n      \"created_at\": 0,\n      \"intent\": {\n        \"order\": {},\n        \"smart_account\": {},\n        \"v_amm\": {}\n      },\n      \"public_key\": [\n        0\n      ],\n      \"query_id\": {\n        \"bit_number\": 0,\n        \"shift\": 0\n      },\n      \"reference_query_id\": {\n        \"bit_number\": 0,\n        \"shift\": 0\n      }\n    },\n    \"public_key\": \"string\",\n    \"signature\": [\n      0\n    ]\n  },\n  \"hash\": [\n    0\n  ],\n  \"market\": {},\n  \"order\": {},\n  \"order_requests\": [\n    {\n      \"full_message\": {\n        \"message\": {\n          \"created_at\": 0,\n          \"intent\": {\n            \"order\": {},\n            \"smart_account\": {},\n            \"v_amm\": {}\n          },\n          \"public_key\": [\n            0\n          ],\n          \"query_id\": {\n            \"bit_number\": 0,\n            \"shift\": 0\n          },\n          \"reference_query_id\": {\n            \"bit_number\": 0,\n            \"shift\": 0\n          }\n        },\n        \"public_key\": \"string\",\n        \"signature\": [\n          0\n        ]\n      },\n      \"hash\": [\n        0\n      ],\n      \"order_request\": {\n        \"selector\": 0\n      },\n      \"order_request_hash\": [\n        0\n      ],\n      \"smart_account\": {}\n    }\n  ],\n  \"payment_mode\": 0,\n  \"price\": {\n    \"created_at\": {\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"feed\": \"string\",\n      \"inPause\": true,\n      \"isOnline\": true,\n      \"k\": 0,\n      \"marketDepthLong\": 0,\n      \"marketDepthShort\": 0,\n      \"pauseAt\": 0,\n      \"pausedAt\": 0,\n      \"price\": 0,\n      \"result_message\": {\n        \"price_ref\": \"string\",\n        \"signatures_ref\": \"string\"\n      },\n      \"slot\": 0,\n      \"spread\": 0,\n      \"status\": \"string\",\n      \"timestamp\": 0,\n      \"unpauseAt\": 0\n    },\n    \"index\": {\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"feed\": \"string\",\n      \"inPause\": true,\n      \"isOnline\": true,\n      \"k\": 0,\n      \"marketDepthLong\": 0,\n      \"marketDepthShort\": 0,\n      \"pauseAt\": 0,\n      \"pausedAt\": 0,\n      \"price\": 0,\n      \"result_message\": {\n        \"price_ref\": \"string\",\n        \"signatures_ref\": \"string\"\n      },\n      \"slot\": 0,\n      \"spread\": 0,\n      \"status\": \"string\",\n      \"timestamp\": 0,\n      \"unpauseAt\": 0\n    },\n    \"rfc\": {\n      \"effective_depth\": 0,\n      \"original_k\": 0,\n      \"original_market_depth_long\": 0,\n      \"original_market_depth_short\": 0,\n      \"original_spread\": 0,\n      \"recovery_rate\": 0,\n      \"signed_price\": {\n        \"closestPauseAt\": 0,\n        \"closestUnpauseAt\": 0,\n        \"feed\": \"string\",\n        \"inPause\": true,\n        \"isOnline\": true,\n        \"k\": 0,\n        \"marketDepthLong\": 0,\n        \"marketDepthShort\": 0,\n        \"pauseAt\": 0,\n        \"pausedAt\": 0,\n        \"price\": 0,\n        \"result_message\": {\n          \"price_ref\": \"string\",\n          \"signatures_ref\": \"string\"\n        },\n        \"slot\": 0,\n        \"spread\": 0,\n        \"status\": \"string\",\n        \"timestamp\": 0,\n        \"unpauseAt\": 0\n      },\n      \"velocity_debt\": 0\n    },\n    \"settlement\": {\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"feed\": \"string\",\n      \"inPause\": true,\n      \"isOnline\": true,\n      \"k\": 0,\n      \"marketDepthLong\": 0,\n      \"marketDepthShort\": 0,\n      \"pauseAt\": 0,\n      \"pausedAt\": 0,\n      \"price\": 0,\n      \"result_message\": {\n        \"price_ref\": \"string\",\n        \"signatures_ref\": \"string\"\n      },\n      \"slot\": 0,\n      \"spread\": 0,\n      \"status\": \"string\",\n      \"timestamp\": 0,\n      \"unpauseAt\": 0\n    },\n    \"timestamp\": \"string\"\n  },\n  \"smart_account\": {},\n  \"vault\": {}\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.types.SettledAction","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"action_phase","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"builder","type":"object","required":false,"description":"Builder is the third-party UI that submitted this intent (unsigned envelope,\nlike PaymentMode). Earns a rebate only if registered+active. nil = none.","example":"{}","schema":{"type":"object","types":[],"description":"Builder is the third-party UI that submitted this intent (unsigned envelope,\nlike PaymentMode). Earns a rebate only if registered+active. nil = none.","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[{"kind":"allOf","schemas":[{"type":"object","types":["object"],"title":"Trading.github_com_xssnick_tonutils-go_address.Address","reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}]}]}},{"name":"created_price","type":"object","required":false,"example":"{\n  \"created_at\": {\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"feed\": \"string\",\n    \"inPause\": true,\n    \"isOnline\": true,\n    \"k\": 0,\n    \"marketDepthLong\": 0,\n    \"marketDepthShort\": 0,\n    \"pauseAt\": 0,\n    \"pausedAt\": 0,\n    \"price\": 0,\n    \"result_message\": {\n      \"price_ref\": \"string\",\n      \"signatures_ref\": \"string\"\n    },\n    \"slot\": 0,\n    \"spread\": 0,\n    \"status\": \"string\",\n    \"timestamp\": 0,\n    \"unpauseAt\": 0\n  },\n  \"index\": {\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"feed\": \"string\",\n    \"inPause\": true,\n    \"isOnline\": true,\n    \"k\": 0,\n    \"marketDepthLong\": 0,\n    \"marketDepthShort\": 0,\n    \"pauseAt\": 0,\n    \"pausedAt\": 0,\n    \"price\": 0,\n    \"result_message\": {\n      \"price_ref\": \"string\",\n      \"signatures_ref\": \"string\"\n    },\n    \"slot\": 0,\n    \"spread\": 0,\n    \"status\": \"string\",\n    \"timestamp\": 0,\n    \"unpauseAt\": 0\n  },\n  \"rfc\": {\n    \"effective_depth\": 0,\n    \"original_k\": 0,\n    \"original_market_depth_long\": 0,\n    \"original_market_depth_short\": 0,\n    \"original_spread\": 0,\n    \"recovery_rate\": 0,\n    \"signed_price\": {\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"feed\": \"string\",\n      \"inPause\": true,\n      \"isOnline\": true,\n      \"k\": 0,\n      \"marketDepthLong\": 0,\n      \"marketDepthShort\": 0,\n      \"pauseAt\": 0,\n      \"pausedAt\": 0,\n      \"price\": 0,\n      \"result_message\": {\n        \"price_ref\": \"string\",\n        \"signatures_ref\": \"string\"\n      },\n      \"slot\": 0,\n      \"spread\": 0,\n      \"status\": \"string\",\n      \"timestamp\": 0,\n      \"unpauseAt\": 0\n    },\n    \"velocity_debt\": 0\n  },\n  \"settlement\": {\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"feed\": \"string\",\n    \"inPause\": true,\n    \"isOnline\": true,\n    \"k\": 0,\n    \"marketDepthLong\": 0,\n    \"marketDepthShort\": 0,\n    \"pauseAt\": 0,\n    \"pausedAt\": 0,\n    \"price\": 0,\n    \"result_message\": {\n      \"price_ref\": \"string\",\n      \"signatures_ref\": \"string\"\n    },\n    \"slot\": 0,\n    \"spread\": 0,\n    \"status\": \"string\",\n    \"timestamp\": 0,\n    \"unpauseAt\": 0\n  },\n  \"timestamp\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.PriceSigned","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"created_at","type":"object","required":false,"example":"{\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"feed\": \"string\",\n  \"inPause\": true,\n  \"isOnline\": true,\n  \"k\": 0,\n  \"marketDepthLong\": 0,\n  \"marketDepthShort\": 0,\n  \"pauseAt\": 0,\n  \"pausedAt\": 0,\n  \"price\": 0,\n  \"result_message\": {\n    \"price_ref\": \"string\",\n    \"signatures_ref\": \"string\"\n  },\n  \"slot\": 0,\n  \"spread\": 0,\n  \"status\": \"string\",\n  \"timestamp\": 0,\n  \"unpauseAt\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.LatestResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"closestPauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"feed","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inPause","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isOnline","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthLong","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthShort","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pausedAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"price","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"result_message","type":"object","required":false,"example":"{\n  \"price_ref\": \"string\",\n  \"signatures_ref\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.ResultMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"price_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signatures_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"slot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"unpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"index","type":"object","required":false,"example":"{\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"feed\": \"string\",\n  \"inPause\": true,\n  \"isOnline\": true,\n  \"k\": 0,\n  \"marketDepthLong\": 0,\n  \"marketDepthShort\": 0,\n  \"pauseAt\": 0,\n  \"pausedAt\": 0,\n  \"price\": 0,\n  \"result_message\": {\n    \"price_ref\": \"string\",\n    \"signatures_ref\": \"string\"\n  },\n  \"slot\": 0,\n  \"spread\": 0,\n  \"status\": \"string\",\n  \"timestamp\": 0,\n  \"unpauseAt\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.LatestResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"closestPauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"feed","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inPause","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isOnline","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthLong","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthShort","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pausedAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"price","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"result_message","type":"object","required":false,"example":"{\n  \"price_ref\": \"string\",\n  \"signatures_ref\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.ResultMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"price_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signatures_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"slot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"unpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"rfc","type":"object","required":false,"description":"json tag stays \"rfc\" — this is persisted to Pebble intent state and read by v2;\nthe field was renamed RFC→RFQ but the wire key must not change. When RFQ is enabled\nit also carries the raw VPI (original vs effective depth) behind the velocity adjustment.","example":"{\n  \"effective_depth\": 0,\n  \"original_k\": 0,\n  \"original_market_depth_long\": 0,\n  \"original_market_depth_short\": 0,\n  \"original_spread\": 0,\n  \"recovery_rate\": 0,\n  \"signed_price\": {\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"feed\": \"string\",\n    \"inPause\": true,\n    \"isOnline\": true,\n    \"k\": 0,\n    \"marketDepthLong\": 0,\n    \"marketDepthShort\": 0,\n    \"pauseAt\": 0,\n    \"pausedAt\": 0,\n    \"price\": 0,\n    \"result_message\": {\n      \"price_ref\": \"string\",\n      \"signatures_ref\": \"string\"\n    },\n    \"slot\": 0,\n    \"spread\": 0,\n    \"status\": \"string\",\n    \"timestamp\": 0,\n    \"unpauseAt\": 0\n  },\n  \"velocity_debt\": 0\n}","schema":{"type":"object","types":[],"description":"json tag stays \"rfc\" — this is persisted to Pebble intent state and read by v2;\nthe field was renamed RFC→RFQ but the wire key must not change. When RFQ is enabled\nit also carries the raw VPI (original vs effective depth) behind the velocity adjustment.","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[{"kind":"allOf","schemas":[{"type":"object","types":["object"],"title":"Trading.oracle.RFQResult","reference":"#/components/schemas/Trading.oracle.RFQResult","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"effective_depth","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"original_k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"original_market_depth_long","type":"integer","required":false,"description":"Original VPI params (before velocity adjustment)","example":"0","schema":{"type":"integer","types":["integer"],"description":"Original VPI params (before velocity adjustment)","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"original_market_depth_short","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"original_spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"recovery_rate","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signed_price","type":"object","required":false,"description":"SignedPrice is the adjusted price from the oracle","example":"{\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"feed\": \"string\",\n  \"inPause\": true,\n  \"isOnline\": true,\n  \"k\": 0,\n  \"marketDepthLong\": 0,\n  \"marketDepthShort\": 0,\n  \"pauseAt\": 0,\n  \"pausedAt\": 0,\n  \"price\": 0,\n  \"result_message\": {\n    \"price_ref\": \"string\",\n    \"signatures_ref\": \"string\"\n  },\n  \"slot\": 0,\n  \"spread\": 0,\n  \"status\": \"string\",\n  \"timestamp\": 0,\n  \"unpauseAt\": 0\n}","schema":{"type":"object","types":[],"description":"SignedPrice is the adjusted price from the oracle","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[{"kind":"allOf","schemas":[{"type":"object","types":["object"],"title":"Trading.oracle.LatestResponse","reference":"#/components/schemas/Trading.oracle.LatestResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"closestPauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"feed","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inPause","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isOnline","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthLong","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthShort","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pausedAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"price","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"result_message","type":"object","required":false,"example":"{\n  \"price_ref\": \"string\",\n  \"signatures_ref\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.ResultMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"price_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signatures_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"slot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"unpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}]}]}},{"name":"velocity_debt","type":"integer","required":false,"description":"Velocity calculation results","example":"0","schema":{"type":"integer","types":["integer"],"description":"Velocity calculation results","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}]}]}},{"name":"settlement","type":"object","required":false,"example":"{\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"feed\": \"string\",\n  \"inPause\": true,\n  \"isOnline\": true,\n  \"k\": 0,\n  \"marketDepthLong\": 0,\n  \"marketDepthShort\": 0,\n  \"pauseAt\": 0,\n  \"pausedAt\": 0,\n  \"price\": 0,\n  \"result_message\": {\n    \"price_ref\": \"string\",\n    \"signatures_ref\": \"string\"\n  },\n  \"slot\": 0,\n  \"spread\": 0,\n  \"status\": \"string\",\n  \"timestamp\": 0,\n  \"unpauseAt\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.LatestResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"closestPauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"feed","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inPause","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isOnline","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthLong","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthShort","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pausedAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"price","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"result_message","type":"object","required":false,"example":"{\n  \"price_ref\": \"string\",\n  \"signatures_ref\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.ResultMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"price_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signatures_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"slot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"unpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"timestamp","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"date","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"full_message","type":"object","required":false,"example":"{\n  \"message\": {\n    \"created_at\": 0,\n    \"intent\": {\n      \"order\": {},\n      \"smart_account\": {},\n      \"v_amm\": {}\n    },\n    \"public_key\": [\n      0\n    ],\n    \"query_id\": {\n      \"bit_number\": 0,\n      \"shift\": 0\n    },\n    \"reference_query_id\": {\n      \"bit_number\": 0,\n      \"shift\": 0\n    }\n  },\n  \"public_key\": \"string\",\n  \"signature\": [\n    0\n  ]\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.smartaccount.SignedMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"message","type":"object","required":false,"example":"{\n  \"created_at\": 0,\n  \"intent\": {\n    \"order\": {},\n    \"smart_account\": {},\n    \"v_amm\": {}\n  },\n  \"public_key\": [\n    0\n  ],\n  \"query_id\": {\n    \"bit_number\": 0,\n    \"shift\": 0\n  },\n  \"reference_query_id\": {\n    \"bit_number\": 0,\n    \"shift\": 0\n  }\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.smartaccount.UserIntent","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"created_at","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"intent","type":"object","required":false,"example":"{\n  \"order\": {},\n  \"smart_account\": {},\n  \"v_amm\": {}\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.smartaccount.UserIntentPayload","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"order","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.schemas.Order","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"order","type":"any","required":false,"schema":{"type":"any","types":[],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"smart_account","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"v_amm","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"public_key","type":"integer[]","required":false,"description":"pk","example":"[\n  0\n]","schema":{"type":"integer[]","types":["array"],"description":"pk","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"query_id","type":"object","required":false,"example":"{\n  \"bit_number\": 0,\n  \"shift\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.hw.QueryId","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"bit_number","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"shift","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"reference_query_id","type":"object","required":false,"example":"{\n  \"bit_number\": 0,\n  \"shift\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.hw.QueryId","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"bit_number","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"shift","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"variants":[]}},{"name":"public_key","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signature","type":"integer[]","required":false,"example":"[\n  0\n]","schema":{"type":"integer[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}}],"variants":[]}},{"name":"hash","type":"integer[]","required":false,"example":"[\n  0\n]","schema":{"type":"integer[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"market","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"order","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.schemas.Order","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"order","type":"any","required":false,"schema":{"type":"any","types":[],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"order_requests","type":"object[]","required":false,"example":"[\n  {\n    \"full_message\": {\n      \"message\": {\n        \"created_at\": 0,\n        \"intent\": {\n          \"order\": {},\n          \"smart_account\": {},\n          \"v_amm\": {}\n        },\n        \"public_key\": [\n          0\n        ],\n        \"query_id\": {\n          \"bit_number\": 0,\n          \"shift\": 0\n        },\n        \"reference_query_id\": {\n          \"bit_number\": 0,\n          \"shift\": 0\n        }\n      },\n      \"public_key\": \"string\",\n      \"signature\": [\n        0\n      ]\n    },\n    \"hash\": [\n      0\n    ],\n    \"order_request\": {\n      \"selector\": 0\n    },\n    \"order_request_hash\": [\n      0\n    ],\n    \"smart_account\": {}\n  }\n]","schema":{"type":"object[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.types.OrderRequestIntent","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"full_message","type":"object","required":false,"example":"{\n  \"message\": {\n    \"created_at\": 0,\n    \"intent\": {\n      \"order\": {},\n      \"smart_account\": {},\n      \"v_amm\": {}\n    },\n    \"public_key\": [\n      0\n    ],\n    \"query_id\": {\n      \"bit_number\": 0,\n      \"shift\": 0\n    },\n    \"reference_query_id\": {\n      \"bit_number\": 0,\n      \"shift\": 0\n    }\n  },\n  \"public_key\": \"string\",\n  \"signature\": [\n    0\n  ]\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.smartaccount.SignedMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"message","type":"object","required":false,"example":"{\n  \"created_at\": 0,\n  \"intent\": {\n    \"order\": {},\n    \"smart_account\": {},\n    \"v_amm\": {}\n  },\n  \"public_key\": [\n    0\n  ],\n  \"query_id\": {\n    \"bit_number\": 0,\n    \"shift\": 0\n  },\n  \"reference_query_id\": {\n    \"bit_number\": 0,\n    \"shift\": 0\n  }\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.smartaccount.UserIntent","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"created_at","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"intent","type":"object","required":false,"example":"{\n  \"order\": {},\n  \"smart_account\": {},\n  \"v_amm\": {}\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.smartaccount.UserIntentPayload","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"order","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.schemas.Order","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"order","type":"any","required":false,"schema":{"type":"any","types":[],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"smart_account","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"v_amm","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"public_key","type":"integer[]","required":false,"description":"pk","example":"[\n  0\n]","schema":{"type":"integer[]","types":["array"],"description":"pk","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"query_id","type":"object","required":false,"example":"{\n  \"bit_number\": 0,\n  \"shift\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.hw.QueryId","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"bit_number","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"shift","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"reference_query_id","type":"object","required":false,"example":"{\n  \"bit_number\": 0,\n  \"shift\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.hw.QueryId","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"bit_number","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"shift","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"variants":[]}},{"name":"public_key","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signature","type":"integer[]","required":false,"example":"[\n  0\n]","schema":{"type":"integer[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}}],"variants":[]}},{"name":"hash","type":"integer[]","required":false,"example":"[\n  0\n]","schema":{"type":"integer[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"order_request","type":"object","required":false,"example":"{\n  \"selector\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.schemas.OrderRequest","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"order","type":"any","required":false,"schema":{"type":"any","types":[],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"selector","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"order_request_hash","type":"integer[]","required":false,"example":"[\n  0\n]","schema":{"type":"integer[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"smart_account","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"variants":[]}},{"name":"payment_mode","type":"integer · int32 · enum","required":false,"example":"0","schema":{"type":"integer · int32 · enum","types":["integer"],"reference":"#/components/schemas/Trading.types.PaymentMode","enum":[0,1],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int32"},"properties":[],"variants":[]}},{"name":"price","type":"object","required":false,"example":"{\n  \"created_at\": {\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"feed\": \"string\",\n    \"inPause\": true,\n    \"isOnline\": true,\n    \"k\": 0,\n    \"marketDepthLong\": 0,\n    \"marketDepthShort\": 0,\n    \"pauseAt\": 0,\n    \"pausedAt\": 0,\n    \"price\": 0,\n    \"result_message\": {\n      \"price_ref\": \"string\",\n      \"signatures_ref\": \"string\"\n    },\n    \"slot\": 0,\n    \"spread\": 0,\n    \"status\": \"string\",\n    \"timestamp\": 0,\n    \"unpauseAt\": 0\n  },\n  \"index\": {\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"feed\": \"string\",\n    \"inPause\": true,\n    \"isOnline\": true,\n    \"k\": 0,\n    \"marketDepthLong\": 0,\n    \"marketDepthShort\": 0,\n    \"pauseAt\": 0,\n    \"pausedAt\": 0,\n    \"price\": 0,\n    \"result_message\": {\n      \"price_ref\": \"string\",\n      \"signatures_ref\": \"string\"\n    },\n    \"slot\": 0,\n    \"spread\": 0,\n    \"status\": \"string\",\n    \"timestamp\": 0,\n    \"unpauseAt\": 0\n  },\n  \"rfc\": {\n    \"effective_depth\": 0,\n    \"original_k\": 0,\n    \"original_market_depth_long\": 0,\n    \"original_market_depth_short\": 0,\n    \"original_spread\": 0,\n    \"recovery_rate\": 0,\n    \"signed_price\": {\n      \"closestPauseAt\": 0,\n      \"closestUnpauseAt\": 0,\n      \"feed\": \"string\",\n      \"inPause\": true,\n      \"isOnline\": true,\n      \"k\": 0,\n      \"marketDepthLong\": 0,\n      \"marketDepthShort\": 0,\n      \"pauseAt\": 0,\n      \"pausedAt\": 0,\n      \"price\": 0,\n      \"result_message\": {\n        \"price_ref\": \"string\",\n        \"signatures_ref\": \"string\"\n      },\n      \"slot\": 0,\n      \"spread\": 0,\n      \"status\": \"string\",\n      \"timestamp\": 0,\n      \"unpauseAt\": 0\n    },\n    \"velocity_debt\": 0\n  },\n  \"settlement\": {\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"feed\": \"string\",\n    \"inPause\": true,\n    \"isOnline\": true,\n    \"k\": 0,\n    \"marketDepthLong\": 0,\n    \"marketDepthShort\": 0,\n    \"pauseAt\": 0,\n    \"pausedAt\": 0,\n    \"price\": 0,\n    \"result_message\": {\n      \"price_ref\": \"string\",\n      \"signatures_ref\": \"string\"\n    },\n    \"slot\": 0,\n    \"spread\": 0,\n    \"status\": \"string\",\n    \"timestamp\": 0,\n    \"unpauseAt\": 0\n  },\n  \"timestamp\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.PriceSigned","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"created_at","type":"object","required":false,"example":"{\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"feed\": \"string\",\n  \"inPause\": true,\n  \"isOnline\": true,\n  \"k\": 0,\n  \"marketDepthLong\": 0,\n  \"marketDepthShort\": 0,\n  \"pauseAt\": 0,\n  \"pausedAt\": 0,\n  \"price\": 0,\n  \"result_message\": {\n    \"price_ref\": \"string\",\n    \"signatures_ref\": \"string\"\n  },\n  \"slot\": 0,\n  \"spread\": 0,\n  \"status\": \"string\",\n  \"timestamp\": 0,\n  \"unpauseAt\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.LatestResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"closestPauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"feed","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inPause","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isOnline","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthLong","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthShort","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pausedAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"price","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"result_message","type":"object","required":false,"example":"{\n  \"price_ref\": \"string\",\n  \"signatures_ref\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.ResultMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"price_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signatures_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"slot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"unpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"index","type":"object","required":false,"example":"{\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"feed\": \"string\",\n  \"inPause\": true,\n  \"isOnline\": true,\n  \"k\": 0,\n  \"marketDepthLong\": 0,\n  \"marketDepthShort\": 0,\n  \"pauseAt\": 0,\n  \"pausedAt\": 0,\n  \"price\": 0,\n  \"result_message\": {\n    \"price_ref\": \"string\",\n    \"signatures_ref\": \"string\"\n  },\n  \"slot\": 0,\n  \"spread\": 0,\n  \"status\": \"string\",\n  \"timestamp\": 0,\n  \"unpauseAt\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.LatestResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"closestPauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"feed","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inPause","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isOnline","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthLong","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthShort","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pausedAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"price","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"result_message","type":"object","required":false,"example":"{\n  \"price_ref\": \"string\",\n  \"signatures_ref\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.ResultMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"price_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signatures_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"slot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"unpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"rfc","type":"object","required":false,"description":"json tag stays \"rfc\" — this is persisted to Pebble intent state and read by v2;\nthe field was renamed RFC→RFQ but the wire key must not change. When RFQ is enabled\nit also carries the raw VPI (original vs effective depth) behind the velocity adjustment.","example":"{\n  \"effective_depth\": 0,\n  \"original_k\": 0,\n  \"original_market_depth_long\": 0,\n  \"original_market_depth_short\": 0,\n  \"original_spread\": 0,\n  \"recovery_rate\": 0,\n  \"signed_price\": {\n    \"closestPauseAt\": 0,\n    \"closestUnpauseAt\": 0,\n    \"feed\": \"string\",\n    \"inPause\": true,\n    \"isOnline\": true,\n    \"k\": 0,\n    \"marketDepthLong\": 0,\n    \"marketDepthShort\": 0,\n    \"pauseAt\": 0,\n    \"pausedAt\": 0,\n    \"price\": 0,\n    \"result_message\": {\n      \"price_ref\": \"string\",\n      \"signatures_ref\": \"string\"\n    },\n    \"slot\": 0,\n    \"spread\": 0,\n    \"status\": \"string\",\n    \"timestamp\": 0,\n    \"unpauseAt\": 0\n  },\n  \"velocity_debt\": 0\n}","schema":{"type":"object","types":[],"description":"json tag stays \"rfc\" — this is persisted to Pebble intent state and read by v2;\nthe field was renamed RFC→RFQ but the wire key must not change. When RFQ is enabled\nit also carries the raw VPI (original vs effective depth) behind the velocity adjustment.","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[{"kind":"allOf","schemas":[{"type":"object","types":["object"],"title":"Trading.oracle.RFQResult","reference":"#/components/schemas/Trading.oracle.RFQResult","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"effective_depth","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"original_k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"original_market_depth_long","type":"integer","required":false,"description":"Original VPI params (before velocity adjustment)","example":"0","schema":{"type":"integer","types":["integer"],"description":"Original VPI params (before velocity adjustment)","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"original_market_depth_short","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"original_spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"recovery_rate","type":"number","required":false,"example":"0","schema":{"type":"number","types":["number"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signed_price","type":"object","required":false,"description":"SignedPrice is the adjusted price from the oracle","example":"{\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"feed\": \"string\",\n  \"inPause\": true,\n  \"isOnline\": true,\n  \"k\": 0,\n  \"marketDepthLong\": 0,\n  \"marketDepthShort\": 0,\n  \"pauseAt\": 0,\n  \"pausedAt\": 0,\n  \"price\": 0,\n  \"result_message\": {\n    \"price_ref\": \"string\",\n    \"signatures_ref\": \"string\"\n  },\n  \"slot\": 0,\n  \"spread\": 0,\n  \"status\": \"string\",\n  \"timestamp\": 0,\n  \"unpauseAt\": 0\n}","schema":{"type":"object","types":[],"description":"SignedPrice is the adjusted price from the oracle","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[{"kind":"allOf","schemas":[{"type":"object","types":["object"],"title":"Trading.oracle.LatestResponse","reference":"#/components/schemas/Trading.oracle.LatestResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"closestPauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"feed","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inPause","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isOnline","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthLong","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthShort","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pausedAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"price","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"result_message","type":"object","required":false,"example":"{\n  \"price_ref\": \"string\",\n  \"signatures_ref\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.ResultMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"price_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signatures_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"slot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"unpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}]}]}},{"name":"velocity_debt","type":"integer","required":false,"description":"Velocity calculation results","example":"0","schema":{"type":"integer","types":["integer"],"description":"Velocity calculation results","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}]}]}},{"name":"settlement","type":"object","required":false,"example":"{\n  \"closestPauseAt\": 0,\n  \"closestUnpauseAt\": 0,\n  \"feed\": \"string\",\n  \"inPause\": true,\n  \"isOnline\": true,\n  \"k\": 0,\n  \"marketDepthLong\": 0,\n  \"marketDepthShort\": 0,\n  \"pauseAt\": 0,\n  \"pausedAt\": 0,\n  \"price\": 0,\n  \"result_message\": {\n    \"price_ref\": \"string\",\n    \"signatures_ref\": \"string\"\n  },\n  \"slot\": 0,\n  \"spread\": 0,\n  \"status\": \"string\",\n  \"timestamp\": 0,\n  \"unpauseAt\": 0\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.LatestResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"closestPauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"closestUnpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"feed","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"inPause","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isOnline","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"k","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthLong","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"marketDepthShort","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"pausedAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"price","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"result_message","type":"object","required":false,"example":"{\n  \"price_ref\": \"string\",\n  \"signatures_ref\": \"string\"\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.oracle.ResultMessage","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"price_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"signatures_ref","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"slot","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"spread","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"timestamp","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"unpauseAt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"timestamp","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"smart_account","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"vault","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"intent_hash","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"ok","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"trace","type":"object","required":false,"example":"{\n  \"contract_exit_code\": 0,\n  \"error_contract_interface\": \"string\",\n  \"execution_snapshot\": {\n    \"accounts\": {\n      \"key\": {\n        \"account_state\": {},\n        \"is_active\": true,\n        \"last_tx_hash\": [\n          0\n        ],\n        \"last_tx_lt\": 0,\n        \"rawAccount\": {\n          \"code\": {},\n          \"data\": {},\n          \"isActive\": true,\n          \"lastTxHash\": [\n            0\n          ],\n          \"lastTxLT\": 0,\n          \"state\": {\n            \"address\": {},\n            \"balance\": {},\n            \"extraCurrencies\": {},\n            \"isValid\": true,\n            \"lastTransactionLT\": 0,\n            \"stateHash\": [\n              0\n            ],\n            \"stateInit\": {\n              \"code\": {},\n              \"data\": {},\n              \"depth\": 0,\n              \"lib\": {},\n              \"tickTock\": {\n                \"tick\": true,\n                \"tock\": true\n              }\n            },\n            \"status\": \"string\",\n            \"storageInfo\": {\n              \"duePayment\": {},\n              \"lastPaid\": 0,\n              \"storageUsed\": {\n                \"bitsUsed\": {},\n                \"cellsUsed\": {}\n              }\n            }\n          }\n        }\n      }\n    }\n  },\n  \"exit_code\": 0,\n  \"intents\": [],\n  \"logs\": [\n    {\n      \"additional_data\": {\n        \"index_price\": {}\n      },\n      \"executor_fee_amount\": {},\n      \"executor_fee_rate\": 0,\n      \"fee_to_stakers_percent\": 0,\n      \"funding_payment\": 0,\n      \"last_updated_cpf\": 0,\n      \"log_type\": 0,\n      \"margin\": {},\n      \"open_notional\": {},\n      \"position_fee_amount\": {},\n      \"position_fee_rate\": 0,\n      \"realized_pnl\": 0,\n      \"rollover_fee\": 0,\n      \"size\": {}\n    }\n  ],\n  \"prices\": [],\n  \"smart_account_state_end\": {\n    \"account_state\": {},\n    \"is_active\": true,\n    \"last_tx_hash\": [\n      0\n    ],\n    \"last_tx_lt\": 0,\n    \"rawAccount\": {\n      \"code\": {},\n      \"data\": {},\n      \"isActive\": true,\n      \"lastTxHash\": [\n        0\n      ],\n      \"lastTxLT\": 0,\n      \"state\": {\n        \"address\": {},\n        \"balance\": {},\n        \"extraCurrencies\": {},\n        \"isValid\": true,\n        \"lastTransactionLT\": 0,\n        \"stateHash\": [\n          0\n        ],\n        \"stateInit\": {\n          \"code\": {},\n          \"data\": {},\n          \"depth\": 0,\n          \"lib\": {},\n          \"tickTock\": {\n            \"tick\": true,\n            \"tock\": true\n          }\n        },\n        \"status\": \"string\",\n        \"storageInfo\": {\n          \"duePayment\": {},\n          \"lastPaid\": 0,\n          \"storageUsed\": {\n            \"bitsUsed\": {},\n            \"cellsUsed\": {}\n          }\n        }\n      }\n    }\n  },\n  \"update_position\": {\n    \"jetton_minter\": {},\n    \"notification_payload\": {\n      \"amm_address\": {},\n      \"balance_delta\": {},\n      \"bundle_sender_address\": {},\n      \"direction\": 0,\n      \"position_state\": {\n        \"direction\": 0,\n        \"discount\": 0,\n        \"fee\": 0,\n        \"last_updated_cumulative_premium\": 0,\n        \"last_updated_timestamp\": 0,\n        \"margin\": {},\n        \"open_notional\": {},\n        \"rebate\": 0,\n        \"size\": {}\n      }\n    },\n    \"query_id\": 0\n  }\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.types.TraceResult","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"contract_exit_code","type":"integer","required":false,"description":"in try/catch on amm","example":"0","schema":{"type":"integer","types":["integer"],"description":"in try/catch on amm","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error_contract_interface","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"execution_snapshot","type":"object","required":false,"example":"{\n  \"accounts\": {\n    \"key\": {\n      \"account_state\": {},\n      \"is_active\": true,\n      \"last_tx_hash\": [\n        0\n      ],\n      \"last_tx_lt\": 0,\n      \"rawAccount\": {\n        \"code\": {},\n        \"data\": {},\n        \"isActive\": true,\n        \"lastTxHash\": [\n          0\n        ],\n        \"lastTxLT\": 0,\n        \"state\": {\n          \"address\": {},\n          \"balance\": {},\n          \"extraCurrencies\": {},\n          \"isValid\": true,\n          \"lastTransactionLT\": 0,\n          \"stateHash\": [\n            0\n          ],\n          \"stateInit\": {\n            \"code\": {},\n            \"data\": {},\n            \"depth\": 0,\n            \"lib\": {},\n            \"tickTock\": {\n              \"tick\": true,\n              \"tock\": true\n            }\n          },\n          \"status\": \"string\",\n          \"storageInfo\": {\n            \"duePayment\": {},\n            \"lastPaid\": 0,\n            \"storageUsed\": {\n              \"bitsUsed\": {},\n              \"cellsUsed\": {}\n            }\n          }\n        }\n      }\n    }\n  }\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.types.ExecutionSnapshot","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"accounts","type":"object","required":false,"example":"{\n  \"key\": {\n    \"account_state\": {},\n    \"is_active\": true,\n    \"last_tx_hash\": [\n      0\n    ],\n    \"last_tx_lt\": 0,\n    \"rawAccount\": {\n      \"code\": {},\n      \"data\": {},\n      \"isActive\": true,\n      \"lastTxHash\": [\n        0\n      ],\n      \"lastTxLT\": 0,\n      \"state\": {\n        \"address\": {},\n        \"balance\": {},\n        \"extraCurrencies\": {},\n        \"isValid\": true,\n        \"lastTransactionLT\": 0,\n        \"stateHash\": [\n          0\n        ],\n        \"stateInit\": {\n          \"code\": {},\n          \"data\": {},\n          \"depth\": 0,\n          \"lib\": {},\n          \"tickTock\": {\n            \"tick\": true,\n            \"tock\": true\n          }\n        },\n        \"status\": \"string\",\n        \"storageInfo\": {\n          \"duePayment\": {},\n          \"lastPaid\": 0,\n          \"storageUsed\": {\n            \"bitsUsed\": {},\n            \"cellsUsed\": {}\n          }\n        }\n      }\n    }\n  }\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[],"additionalProperties":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.types.AccountSnapshot","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"account_state","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.cell.Cell","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"is_active","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"last_tx_hash","type":"integer[]","required":false,"example":"[\n  0\n]","schema":{"type":"integer[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]}},{"name":"last_tx_lt","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"rawAccount","type":"object","required":false,"example":"{\n  \"code\": {},\n  \"data\": {},\n  \"isActive\": true,\n  \"lastTxHash\": [\n    0\n  ],\n  \"lastTxLT\": 0,\n  \"state\": {\n    \"address\": {},\n    \"balance\": {},\n    \"extraCurrencies\": {},\n    \"isValid\": true,\n    \"lastTransactionLT\": 0,\n    \"stateHash\": [\n      0\n    ],\n    \"stateInit\": {\n      \"code\": {},\n      \"data\": {},\n      \"depth\": 0,\n      \"lib\": {},\n      \"tickTock\": {\n        \"tick\": true,\n        \"tock\": true\n      }\n    },\n    \"status\": \"string\",\n    \"storageInfo\": {\n      \"duePayment\": {},\n      \"lastPaid\": 0,\n      \"storageUsed\": {\n        \"bitsUsed\": {},\n        \"cellsUsed\": {}\n      }\n    }\n  }\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_tlb.Account","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.cell.Cell","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"data","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.cell.Cell","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isActive","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lastTxHash","type":"integer · int32[]","required":false,"example":"[\n  0\n]","schema":{"type":"integer · int32[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer · int32","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int32"},"properties":[],"variants":[]},"variants":[]}},{"name":"lastTxLT","type":"integer · int64","required":false,"example":"0","schema":{"type":"integer · int64","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64"},"properties":[],"variants":[]}},{"name":"state","type":"object","required":false,"example":"{\n  \"address\": {},\n  \"balance\": {},\n  \"extraCurrencies\": {},\n  \"isValid\": true,\n  \"lastTransactionLT\": 0,\n  \"stateHash\": [\n    0\n  ],\n  \"stateInit\": {\n    \"code\": {},\n    \"data\": {},\n    \"depth\": 0,\n    \"lib\": {},\n    \"tickTock\": {\n      \"tick\": true,\n      \"tock\": true\n    }\n  },\n  \"status\": \"string\",\n  \"storageInfo\": {\n    \"duePayment\": {},\n    \"lastPaid\": 0,\n    \"storageUsed\": {\n      \"bitsUsed\": {},\n      \"cellsUsed\": {}\n    }\n  }\n}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_tlb.AccountState","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_address.Address","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"balance","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_tlb.Coins","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"extraCurrencies","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.cell.Dictionary","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"isValid","type":"boolean","required":false,"example":"true","schema":{"type":"boolean","types":["boolean"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lastTransactionLT","type":"integer · int64","required":false,"example":"0","schema":{"type":"integer · int64","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64"},"properties":[],"variants":[]}},{"name":"stateHash","type":"integer · int32[]","required":false,"description":"has value when frozen","example":"[\n  0\n]","schema":{"type":"integer · int32[]","types":["array"],"description":"has value when frozen","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"integer · int32","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int32"},"properties":[],"variants":[]},"variants":[]}},{"name":"stateInit","type":"object","required":false,"description":"has value when active","example":"{\n  \"code\": {},\n  \"data\": {},\n  \"depth\": 0,\n  \"lib\": {},\n  \"tickTock\": {\n    \"tick\": true,\n    \"tock\": true\n  }\n}","schema":{"type":"object","types":[],"description":"has value when active","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[{"kind":"allOf","schemas":[{"type":"object","types":["object"],"title":"Trading.github_com_xssnick_tonutils-go_tlb.StateInit","reference":"#/components/schemas/Trading.github_com_xssnick_tonutils-go_tlb.StateInit","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.cell.Cell","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"data","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.cell.Cell","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"depth","type":"integer","required":false,"example":"0","schema":{"type":"integer","types":["integer"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lib","type":"object","required":false,"example":"{}","schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.cell.Dictionary","nullable":false,"r
[...]
